<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="LevelNormalisation"    package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
                
        <TABLE  name="tl_level_norm"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="MeanScore"            type="Double"   dbcol="mean_score"/>
            <ATTRIB name="MaxScore"             type="Double"   dbcol="max_score"/>
            <ATTRIB name="MinScore"             type="Double"   dbcol="min_score"/>
            <ATTRIB name="StddevScore"          type="Double"   dbcol="stddev_score"/>
            <ATTRIB name="LeftMeanScore"        type="Double"   dbcol="left_mean_score"/>
            <ATTRIB name="RightMeanScore"       type="Double"   dbcol="right_mean_score"/>
            <ATTRIB name="WghtMeanScore"        type="Double"   dbcol="wght_mean_score"/>
            <ATTRIB name="WghtStddevScore"      type="Double"   dbcol="wght_stddev_score"/>
            <ATTRIB name="WghtLeftMeanScore"    type="Double"   dbcol="wght_left_mean_score"/>
            <ATTRIB name="WghtRightMeanScore"   type="Double"   dbcol="wght_right_mean_score"/>
            <ATTRIB name="MeanWghtZScore"       type="Double"   dbcol="mean_wght_z_score"/>
            <ATTRIB name="MeanWghtZScores"      type="Double"   dbcol="mean_wght_z_score_2"/>
            <ATTRIB name="StdDevWghtZScore"     type="Double"   dbcol="stddev_wght_z_score"/>
            <ATTRIB name="StdDevWghtZScore2"    type="Double"   dbcol="stddev_wght_z_score_2"/>
            
            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="LevelNormalisations"/>
        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_level_norm.object_id is not null" orderBy="tl_level_norm.object_id" />
        
    </BUSINESSCLASS>
    
</ROOT>